Getting Started with the Kendo UI for Angular Scheduler

Updated on Aug 28, 2026

This guide provides the information you need to start using the Kendo UI for Angular Scheduler—it includes instructions about the recommended installation approach, the code for running the project, and links to additional resources.

As of version 17.0.0, Angular makes standalone component enabled by default. If you use NgModules, refer to these articles:

The standalone components in Angular streamline development by removing the need for NgModules, reducing complexity, and enhancing component reuse and modularity. This approach simplifies dependency management, making applications more maintainable and scalable.

ninja-iconThe Installation is part of Kendo UI for Angular, a professional grade UI library with 110+ components for building modern and feature-rich applications. To try it out sign up for a free 30-day trial.Start Free Trial

After the completion of this guide, you will be able to achieve an end result as demonstrated in the following example.

Loading ...

Setting Up Your Angular Project

Before you start with the installation of any Kendo UI for Angular control, ensure that you have a running Angular project. The prerequisites to accomplish the installation of the components are always the same regardless of the Kendo UI for Angular package you want to use, and are fully described in the section on setting up your Angular project.

Installing the Component

The following command demonstrates an efficient, automated method for adding packages using the Angular CLI through the ng-add command. This approach saves time and effort by executing a series of commands in a single step, which otherwise need to be run individually. Refer to the Manual Setup for more details.

To add the Kendo UI for Angular Scheduler package:

  1. Run the following command:

    sh
    ng add @progress/kendo-angular-scheduler

    As a result, the ng-add command will perform the following actions:

    • Add the @progress/kendo-angular-scheduler package as a dependency to the package.json file.
    • Add all required peer dependencies to the package.json file.
    • Register the Kendo UI Meridian theme in the angular.json file.
    • Trigger npm install to install the theme and all peer packages that are added.
  2. Import the KENDO_SCHEDULER utility array in your standalone component to enable the entire feature set of the Scheduler:

    The utility array is available starting from v16.6.0. If you use an older version of the package, please follow the approach from the Using Kendo Angular Components with NgModules article.

    ts
    import { Component } from '@angular/core';
    import { KENDO_SCHEDULER } from '@progress/kendo-angular-scheduler';
    
    @Component({
        standalone: true,
        selector: 'my-app',
        imports: [KENDO_SCHEDULER]
    })

Using the Component

  1. After successfully installing the Scheduler package and importing its component, add the following code in the app.component.html file:

    html
    <kendo-scheduler [kendoSchedulerBinding]="events">
        <kendo-scheduler-day-view startTime="08:00" endTime="18:00"></kendo-scheduler-day-view>
    </kendo-scheduler>
  2. Create the data source in your app.component.ts file:

    ts
    export class AppComponent {
        public events: SchedulerEvent[] = [
            {
                id: 1,
                title: 'Meeting',
                start: new Date('2024-01-01T09:00:00'),
                end: new Date('2024-01-01T10:00:00')
            }
        ];
    }
  3. Build and serve the application by running the following command in the root folder.

    sh
    ng serve
  4. Point your browser to http://localhost:4200 to see the Kendo UI for Angular Scheduler component on the page.

Activating Your License Key

As of December 2020, using any of the UI components from the Kendo UI for Angular library requires either a commercial license key or an active trial license key. If your application does not contain a Kendo UI license file, activate your license key.

Next Steps

Learning Resources

New to KendoReactStart a free 30-day trial

Getting Started with the KendoReact Scheduler
Premium

Updated on Aug 14, 2026

This guide provides essential information about using the KendoReact Scheduler. You will learn how to install the package, add a Scheduler component to your project, style the component, and activate your license.

After completing this guide, you will be able to reproduce the following example.

Loading ...

Before You Begin

To follow the steps in this guide, you need to have a React project set up. If you don't have one, you can create a new React application using Vite by running the following command in your terminal:

sh
npm create vite@latest my-app -- --template react

This guide requires that you have basic knowledge of React and TypeScript, and that you have already created a blank React project.

You can speed up the development of your KendoReact application with the Kendo UI Template Wizard for Visual Studio Code.

Install the Component

To install the Scheduler package, run the following command in the root folder of your React project:

sh
npm i @progress/kendo-react-scheduler

Importing the Component

Once you install the npm package, import the Scheduler and the components that are necessary to display the day, month, and week view.

jsx
// ES2015 module syntax
import { Scheduler, AgendaView, TimelineView, DayView, WeekView, MonthView } from '@progress/kendo-react-scheduler';
jsx
// CommonJS format
const {
    Scheduler,
    AgendaView,
    TimelineView,
    DayView,
    WeekView,
    MonthView
} = require('@progress/kendo-react-scheduler');

Using the Component

  1. Create an events-utc.js file that will contain the data and a predefined display date, and then import them.

    jsx
    import { sampleData, displayDate } from './events-utc';
  2. Add the Scheduler component together with the AgendaView, TimelineView, DayView, WeekView, and MonthView. Pass the sampleData and displayDate that are obtained from the events-utc.js file.

    jsx
    return (
        <Scheduler data={sampleData} defaultDate={displayDate}>
            <AgendaView />
            <TimelineView />
            <DayView />
            <WeekView />
            <MonthView />
        </Scheduler>
    );
  3. To style the Scheduler, install and import the Default theme, which is one of the three beautiful themes for KendoReact.

    3.1. Install the Default theme package.

    sh
    npm i @progress/kendo-theme-default

    3.2. Import the CSS file from the package in src/App.js. Add this import before your existing App.css import.

    jsx
    import '@progress/kendo-theme-default/dist/all.css';
  4. Build and run the application by typing the following command in the root folder of your project:

    sh
    npm start
  5. Navigate to http://localhost:3000 to see the KendoReact Scheduler component on the page.

Activating Your License Key

Important: The KendoReact Scheduler is a premium component that requires a license key file to be installed in your project. This applies to both trial and commercial usage:

Without a valid license key file, the component will display licensing warnings and watermarks.

Follow the instructions on the KendoReact My License page to download and install your license key file. You can skip this step if your application already contains a KendoReact license file.

Dependencies

The Scheduler package requires you to install the following peer dependencies in your application:

Package NameDescription
react 18.0.0*Contains the functionality necessary to define React components.
react-domContains the React renderer for the web.
@progress/kendo-licensingContains the internal infrastructure related to licensing.
@progress/kendo-react-intlContains the KendoReact Internationalization package that applies the desired cultures by providing services and pipes for the parsing and formatting of dates and numbers
@progress/kendo-react-popupContains the KendoReact Popup components.
@progress/kendo-react-dialogsContains the KendoReact Dialogs components.
@progress/kendo-react-dateinputsContains the KendoReact Date Input components.
@progress/kendo-react-dropdownsContains the KendoReact Dropdown components.
@progress/kendo-react-inputsContains the KendoReact Input components.
@progress/kendo-react-buttonsContains the KendoReact Button components.
@progress/kendo-date-mathContains the KendoReact typescript package exporting functions for Date manipulations.
@progress/kendo-svg-iconsContains the KendoReact SVG icons.

Learning Resources